Summary: Oracle Virtual Server Utilities
Name: ovs-utils
Version: 1.0
Release: 34
License: GPL2
Group: System Environment/Base
Source: ovs-utils-1.0.tar.gz
Patch1: ovs-fix-initrepo-return.patch
Patch2: chkconfig.patch
Patch3: ovs-onlinerepo-add-mountopts-and-delete.patch
Patch4: ovs-initrepo-create-pool-directories.patch
Patch5: ovs-enable-cluster-root.patch
Patch6: ovs-add-cluster-check-script.patch
Patch7: ovs-cluster-common-fix-dmnfs-setup.patch
Patch8: ovs-cluster-check-automate-setup.patch
Patch9: ovs-cluster-common-fstab-remove-stderr.patch
Patch10: ovs-device-with-different-names.patch
Patch11: ovs-fix-AGENT_DIR.patch
Patch12: ovs-cluster-common-match-short-hostname.patch
Patch13: ovs-cluster-check-enable-o2cb.patch
Patch14: ovs-cluster-common-mkdir-etc-ocfs2.patch
Patch15: ovs-add-ovs-cluster-configure.patch
Patch16: ovs-remove-cluster-config-validation-at-configure-stage.patch
Patch17: ovs-cluster-common-open-ocfs2-firewall-port.patch
Patch18: ovs-cluster-common-open-ocfs2-firewall-port2.patch
Patch19: ovs-bugz7370-onlinerepo-fix-uuid.patch
Patch20: ovs-bugz7576.patch
Patch21: ovs-bugz7599-mount-with-device-name.patch
Patch22: ovs-bugz8490.patch
Patch23: check-filesystem-bug8236307.patch
Patch24: obsolete_scripts.patch
Patch25: ovs-update-fstab-grub.patch

Requires: liblockfile
Requires: system-config-securitylevel-tui

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Oracle Virtual Server Utilities provides configuration settings
and additional utilities needed for the virtualization environment.

%prep

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

%build 

%install
make DESTDIR='%{buildroot}' install
install -d -m0755 -p '%{buildroot}'/OVS

%clean
rm -rf '%{buildroot}'

%post
/sbin/chkconfig --add ovsrepositories >/dev/null
/sbin/chkconfig ip6tables off >/dev/null
/usr/lib/ovs/ovs-update-fstab-grub.sh

%preun
if [ $1 = 0 ]; then  # Execute only if we are removing, not upgrading
    /sbin/chkconfig --del ovsrepositories >/dev/null
fi

%files
%defattr(-,root,root)
/usr/lib/ovs/*
/etc/init.d/*
%config(noreplace) /etc/ovs/repositories
%config(noreplace) /etc/ovs/repositories.options
/usr/share/doc/*
%dir /OVS



%changelog
* Tue Mar 16 2010 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-34
- Added ovs-update-fstab-grub.sh script.

* Fri Oct 09 2009 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-33
- Updated obsolete_scripts.patch to fix ovs-onlinerepo.

* Wed Oct 07 2009 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-32
- Added message pertaining to obsoletion of cluster and repository scripts 
  for 2.2

* Tue Apr 28 2009 John Haxby <john.haxby@oracle.com> - 1.0-31
- Make check_filesystem() more robust [bug 8236307]

* Mon Mar 30 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-30
- Take @ into consideration for cluster root (dyno.fu@oracle.com)
  [bugz 8490]

* Mon Mar 23 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-29
- Add patch to allow mounting by device name [bugz 7599]

* Mon Mar 2 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-28
- Fix bug in ovs-cluster-common [bugz 7576]

* Tue Nov 4 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-27
- Add fix to remove repo entry from config file when offlining
  (zhikun.liu@oracle.com) [bugz 7370]

* Thu Aug 28 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-26
- handle firewall errors better when opening ocfs2 port

* Wed Aug 27 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-25
- always add firewall rule for default ocfs2 port

* Wed Aug 20 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-24
- remove cluster config validation at configure stage (dyno.fu@oracle.com)

* Tue Aug 12 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-23
- add ovs-cluster-configure script for initial cluster setup

* Tue Aug  5 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-22
- add mkdir of /etc/ocfs2 if it does not exist

* Mon Aug  4 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-21
- start up o2cb service after checking for cluster.conf

* Mon Jul 28 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-20
- match short hostnames in ovs-cluster-common (dyno.fu@oracle.com) [bugz 6807]

* Thu Jul 24 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-19
- change the value of the AGENT_DIR (zhigang.x.wang@oracle.com)
  [bugz 6756]

* Fri Jul 18 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-18
- allow for same device with different device names (dyno.fu@oracle.com)

* Sat Jul  5 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-17
- output errors to stderr from fstab_remove function

* Sat Jul  5 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-16
- further automate cluster setup

* Mon Jun 30 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-15
- add cluster check and setup script

* Wed Jun 18 2008 Kurt Hackel <kurt.hackel@oracle.com> 1.0-14
- enable cluster root handling

* Mon Nov 12  2007 Joel Becker <joel.becker@oracle.com> 1.0-13
- make pool directories when initializing repo

* Wed Nov  7  2007 Joel Becker <joel.becker@oracle.com> 1.0-12
- add a delete option to ovs-offlinerepo (ovs-onlinerepo) to remove an entry
  from the /etc/ovs/repositories file
- allow for an optional /etc/ovs/repositories.options file to add non-default
  mount options when mounting the filesystem

* Tue Nov  6 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-11
- chkconfig the ip6tables service off in the post section

* Fri Nov  2 2007 Joel Becker <joel.becker@oracle.com> 1.0-10
- enable chkconfig

* Wed Oct 31 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-9
- fix return from ovs-initrepo script

* Fri Oct 26 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 1.0-8
- Removing all the iptables rules as we now set them in
- system-config-securitylevel

* Fri Oct 12 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-7
- match firewall rules in firstboot

* Fri Oct 12 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-6
- try to use lokkit to set firewalling rules at install time

* Thu Oct 11 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-5
- temporarily add additional iptables rules 

* Wed Oct 10 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-4
- add iptables rule for port 8002 for xen relocation daemon

* Mon Oct  1 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-3
- add detect64 executable to /usr/lib/ovs/

* Mon Oct  1 2007 Philip Copeland <philip.copeland@oracle.com> 1.0-2
- remove the  specific iptable rule when uninstalling

* Sun Sep 30 2007 Kurt Hackel <kurt.hackel@oracle.com> 1.0-1
- Initial revision of ovs-utils scripts

* Fri Sep 28 2007 Philip Copeland <philip.copeland@oracle.com> 0.1-1
- Basic spec file framework
